Draws a quadratic Bezier curve

- « ImagickDraw::pathCurveToQuadraticBezierAbsolute

- ImagickDraw::pathCurveToQuadraticBezierSmoothAbsolute »

- PHP Manual
- ImagickDraw
- Draws a quadratic Bezier curve

# ImagickDraw::pathCurveToQuadraticBezierRelative

(PECL imagick 2, PECL imagick 3)

ImagickDraw::pathCurveToQuadraticBezierRelative — Draws a quadratic Bezier curve

### Description

public ImagickDraw::pathCurveToQuadraticBezierRelative(
float `$x1`,
float `$y1`,
float `$x_end`,
float `$y`
): bool
Warning

This function is currently not documented; only its argument list is available.

Draws a quadratic Bezier curve from the current point to (x,y) using (x1,y1) as the control point using relative coordinates. At the end of the command, the new current point becomes the final (x,y) coordinate pair used in the polybezier.

### Parameters

`x1`

  starting x coordinate

`y1`

  starting y coordinate

`x_end`

  ending x coordinate

`y`

  ending y coordinate

### Return Values

No value is returned.